Bug 181015 - The product name '' is invalid or does not exist.
The product name '' is invalid or does not exist.
Product: Bugzilla
Classification: Community
Component: Bugzilla General (Show other bugs)
All Linux
medium Severity medium (vote)
: ---
: ---
Assigned To: PnT DevOps Devs
David Lawrence
: 247337 250309 (view as bug list)
Depends On:
  Show dependency treegraph
Reported: 2006-02-11 13:21 EST by Robert Scheck
Modified: 2013-06-23 22:58 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.18
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-08-16 13:24:03 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Robert Scheck 2006-02-11 13:21:38 EST
Description of problem:
The kernel line of my grub.conf changed at memtest update with using latest 
mkinitrd, because showlabels disappeared:

--- /etc/grub.conf.rsc   2005-12-24 14:44:50.000000000 +0100
+++ /etc/grub.conf       2006-02-11 18:38:30.000000000 +0100
@@ -16,4 +16,4 @@
        initrd /initrd-2.6.14-2smp.img
 title Memtest86+ (1.65)
        root (hd0,0)
-       kernel /memtest86+-1.65 ro root=LABEL=/
+       kernel /memtest86+-1.65 ro root=/dev/cciss/c0d0p2

Version-Release number of selected component (if applicable):

How reproducible:
echo "showlabels" | /sbin/nash  --force --quiet

Actual results:
No showlabels, but /sbin/new-kernel-pkg and /sbin/new-memtest-pkg are using
the command...

Expected results:
I dunno what's the best solution for, but a fix for getting working label 
support again would be nice ;-)

Additional info:
[19:00:20] < rsc> pjones: is there a special reason for removing "showlabels" 
command from nash in mkinitrd, but leaving it in /sbin/new-kernel-pkg and /sbin/
[19:01:43] < pjones> rsc: eeek, an awful oversight
[19:01:46] < rsc> pjones: is LABEL getting obsolete for mkinitrd?
[19:02:08] < rsc> pjones: btw, man page also contains showlabels ;)
[19:02:34] < pjones> no.
[19:02:45] < pjones> yeah, the man page is horribly wrong about many things.
[19:03:55] < rsc> is the following change correct?
[19:03:55] < rsc> -       kernel /memtest86+-1.65 ro root=LABEL=/
[19:03:55] < rsc> +       kernel /memtest86+-1.65 ro root=/dev/cciss/c0d0p2
[19:04:06] < pjones> hrm.  show labels should actually be easy to put back now.
[19:04:22] < rsc> while updating from mkinitrd .17 to .21
[19:04:28] < pjones> rsc: change to... grub.conf ?
[19:04:33] < rsc> yes
[19:04:47] < pjones> it should work, but then both ways should work.
[19:05:08] * pjones wonders if libblkid needs to be fixed to grok cciss/sx8/etc-
style paths.
[19:05:51] < rsc> pjones: should I open a bug report?
[19:05:58] < pjones> yes.
[19:06:00] < pjones> thank you ;)
[19:06:23] < rsc> pjones: against what? mkinitrd or e2fsprogs?
[19:06:53] < pjones> mkinitrd will be fine
[19:07:10] * pjones will most likely get to fix it either way ;)
[19:10:34] < pjones> rsc: you don't happen to know off the top of your head when 
showlabels dissapeared, do you?
[19:11:35] < pjones> nm, found it.
[19:12:43] < rsc> pjones: .17 to .21
Comment 1 Robert Scheck 2006-02-11 13:28:25 EST
Hehe, re-using the duplicate of my bug report for the Red Hat Bugzilla problem.

After submitting my bug report (#181015 & #181016), I got the following
error message by https://bugzilla.redhat.com/bugzilla/post_bug.cgi:

Invalid Product Name

The product name '' is invalid or does not exist. 	

Please press Back and try again.

And now? What's broken or am I too dumb for writing bug reports? ;-)
Comment 2 David Lawrence 2006-02-12 17:24:10 EST
Were you using the guided bug form or the normal expert form when you
encountered this error? Was the product displayed in the form before hitting submit?
Comment 3 Robert Scheck 2006-02-13 09:23:24 EST
I did the following:

  New > expert bug form > Fedora Products > Fedora Core

which loads https://bugzilla.redhat.com/bugzilla/enter_bug.cgi?product=Fedora%
20Core here and displays:

  Product	Fedora Core

Oh and I'm using Opera 8.5 (with JavaScript enabled, of course).
Comment 4 Robert Scheck 2006-02-13 09:25:42 EST
Ah...and the error message from comment #1 is only displayed after submitting a 
new bug report (not at comments) at that point, where I normally should be 
automatically redirected to my bug report (is this a new feature?). Mails to QA 
and Red Hat people are sent as far as I can see in the short delay before 
getting the error.
Comment 5 James G. Sack 2006-04-18 22:37:00 EDT
I also get 
  The product name '' is invalid or does not exist.
generally the exact same symptoms.

A couple of times, it led me to resubmit (causing dup reports).

I am also using Opera 8.5

Comment 6 Robert Scheck 2006-05-13 05:18:21 EDT
Ping...can we get rid of this problem?
Comment 7 Robert Scheck 2006-05-29 17:11:29 EDT
When submitting another Bugzilla bug (#193497), I run into this problem...like 
every time - one more time. Could you please fix the problem ASAP? Thanks ;-)
Comment 8 Jan Hutař 2006-11-21 03:49:50 EST
same problem here:

New > Red Hat Enterprise Linux Beta > Enter Bug (Expert): This page lets you 
enter a new bug into Bugzilla. > Invalid Product Name

Using Opera 9.02 with JavaScript allowed for redhat.com domain.
Comment 9 Stuart MacDonald 2007-01-18 09:51:13 EST
Ping, just experienced this. See Bugs 223216, 223217 and 223218. They were dups
caused by this bug making me think my bug hadn't been reported.

Happened with Opera 9.02 Build 8585 and
IE 6.0.2900.2180.xpsp_sp2_rtm.040803-2158

Comment 10 Robert Scheck 2007-01-28 09:05:52 EST
The same problem happends with Opera 9.10 using Windows XP SP2 and enabled 
JavaScript, too. Can you please fix this annoying problem soon? ;-)
Comment 11 Robert Scheck 2007-02-10 16:48:58 EST
The problems happends with IE 6.0.2900.2180.xpsp_sp2_rtm.040803-2158, too.
Comment 12 David Lawrence 2007-08-16 00:28:46 EDT
*** Bug 247337 has been marked as a duplicate of this bug. ***
Comment 13 David Lawrence 2007-08-16 00:29:48 EDT
*** Bug 250309 has been marked as a duplicate of this bug. ***
Comment 14 David Lawrence 2007-08-16 13:24:03 EDT
I have made a recent change that alleviates the problem with my testing of IE6
and Opera 9.23. Please reopen this bug if it continues to be an issue.


Note You need to log in before you can comment on or make changes to this bug.